Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.fmt
Class SetLocaleTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
              org.apache.taglibs.standard.tag.el.fmt.SetLocaleTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetLocaleTag

extends SetLocaleSupport

A handler for <setLocale> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
`value, variant`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetLocaleTag()` Constructs a new LocaleTag.

Method Summary
`int` | `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` | `release()` Release state.
`void` | `setValue(String value_)`
`void` | `setVariant(String variant_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.SetLocaleSupport
`doEndTag, parseLocale, parseLocale, setScope`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetLocaleTag

    public SetLocaleTag()

  Constructs a new LocaleTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `SetLocaleSupport`
  See Also:
    `Tag.release()`

### setValue

    public void setValue(String value_)

### setVariant

    public void setVariant(String variant_)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.